# Store-Producer

This Project is a Gradle project, which is used to produce the messages to division kafka. 



#Prerequisites.
```bash
1)Start the confluent kafka.
2)Start the postgresql.
3)Start the Docker .
```
Docker commands and SQL scripts :
```bash
** docker commands for postgresql **
Step 1: docker run -d -p 5432:5432 --name loc-postgres -e POSTGRES_PASSWORD=welcome postgres
Step 2: docker start loc-postgres
Step 3: docker exec -it loc-postgres bash
Step 4: psql -U postgres

Now run the below sql commands.

CREATE DATABASE EPE;

\c epe;

CREATE EXTENSION IF NOT EXISTS "uuid-ossp";

CREATE TABLE transaction_recorder(uuid uuid NOT NULL DEFAULT uuid_generate_v1(),offertransactionresponse jsonb NOT NULL,offers jsonb NOT NULL,isprocessed boolean);

insert into transaction_recorder VALUES(uuid_generate_v4(), '{"hhid":"54321","transactionId":"a9f71725-ae55-42f2-a2a9-a2d3c84d631c","discountedItemList":[{"itemName":"Coke","itemId":"1","price":11.007},{"itemName":"Thumpsup","itemId":"2","price":14.202}],"discountDesc":"10 Percent"}','[{"id":"1","idType":"UPC","offerId":12,"storeId":"A","terminal":"B","preCondition":"AND"},{"id":"2","idType":"CUST","offerId":13,"storeId":"C","terminal":"B","preCondition":"OR"}]', true);

select * from transaction_recorder;

```

Create following topic Name :  transactionRecord

```bash

Access service using below URL. Please pass the UUID after transaction/ which is there in database.

http://localhost:8200/transaction/<UUID-FROM-DATABASE>

Forex- 

http://localhost:8200/transaction/997a9ed1-fb45-46d6-baee-0230f1da93dd

```
Swagger document :

```
http://localhost:8200/swagger-ui.html#/

```