package com.safeway.epe.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Data
@Configuration
@ConfigurationProperties(prefix = "kafka.producer")
public class ConfigProps {

    private String offerTransactionRecordTopic;
    @Value("${schema.api.baseurl}")
    private String schemaBaseUrl;

}
