package com.safeway.epe.mapper;


import com.safeway.epe.domain.Record;
import com.safeway.epe.domain.TransactionRecorder;
import org.mapstruct.*;
import org.mapstruct.factory.Mappers;

@Mapper(nullValueCheckStrategy = NullValueCheckStrategy.ALWAYS)
public interface TransactionRecordMapper {

    TransactionRecordMapper INSTANCE =Mappers.getMapper(TransactionRecordMapper.class);

    @Mappings({
            @Mapping(source = "transactionRecorder", target = "transactionRecorder", qualifiedByName = "recordCreation"),
            @Mapping(target = "key", qualifiedByName = "recordCreation")
            })
    public Record transactionRecordMapper(String key, TransactionRecorder transactionRecorder);

    @Named("recordCreation")
    default Record recordConvertion(String key, TransactionRecorder transactionRecorder) {
        return new Record(key, transactionRecorder);
    }

}
