package com.safeway.epe;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.scheduling.annotation.EnableScheduling;

@SpringBootApplication
@EnableScheduling
@EnableFeignClients("com.safeway.epe.client")
public class StoreProducerApplication {

	public static void main(String[] args) {
		SpringApplication.run(StoreProducerApplication.class, args);
	}

}