package com.safeway.epe.controller;

import com.safeway.epe.domain.Offsets;
import com.safeway.epe.service.TransactionService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
public class TransactionController
{
    Logger logger = LoggerFactory.getLogger(this.getClass());
    @Autowired
    private TransactionService service;

    @GetMapping("transaction/{uuid}")
    public ResponseEntity<List<Offsets>> produce(@PathVariable("uuid") String uuid)
    {
        logger.info("Started producing message for transactionId :: "+uuid);
        return service.produceMessage(uuid);
    }
}
