package com.safeway.epe.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class ConsumerPayload {
    @JsonProperty("key_schema_id")
    private String keySchemaId;
    @JsonProperty("value_schema_id")
    private String valueSchemaId;
    @JsonProperty("offsets")
    private List<Offsets> offsetsList;
}