package com.safeway.epe.mapper;

import com.safeway.epe.domain.Record;
import com.safeway.epe.domain.TransactionPayload;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.Mappings;
import org.mapstruct.Named;
import org.mapstruct.factory.Mappers;

import java.util.ArrayList;
import java.util.List;

@Mapper
public interface TransactionPayloadMapper {
    TransactionPayloadMapper INSTANCE = Mappers.getMapper(TransactionPayloadMapper.class);

    @Mappings({
            @Mapping(source = "record", target = "records", qualifiedByName = "transactionCreation")
             })
    public TransactionPayload transactionPayloadMapper(Record record);

    @Named("transactionCreation")
    default List<Record> transactionConversion(Record record){
        List<Record> recordList = new ArrayList<>();
        recordList.add(record);
        return recordList;
    }
}
