package com.safeway.epe.util;

import com.safeway.epe.domain.Offsets;
import org.junit.jupiter.api.extension.ExtensionContext;
import org.junit.jupiter.params.provider.Arguments;
import org.junit.jupiter.params.provider.ArgumentsProvider;

import java.util.ArrayList;
import java.util.List;
import java.util.stream.Stream;

public class OffsetsArgumentsProvider implements ArgumentsProvider {
    @Override
    public Stream<? extends Arguments> provideArguments(ExtensionContext context) throws Exception {
        return Stream.of(offsetsResponse()).map(Arguments::of);
    }
    static List<Offsets> offsetsResponse() {
        List<Offsets> listOfOffest = new ArrayList<>();
        Offsets offsets = new Offsets();
        offsets.setPartition("0");
        offsets.setOffset("1");
        listOfOffest.add(offsets);
        return listOfOffest;
    }

}
